1

Hello I installed the latest version of XAMPP (1.7.4) on my windows xp system. Now when i want to install Pear:

k:\xampp\php>go-pear.bat

I am confronted with the following error:

manifest cannot be larger than 100 MB in phar "K:\xampp\php\PEAR\go-pear.phar"PH P Warning: require_once(phar://go-pear.phar/index.php): failed to open stream: phar error: invalid url or non-existent phar "phar://go-pear.phar/index.php" in K:\xampp\php\PEAR\go-pear.phar on line 1236

Warning: require_once(phar://go-pear.phar/index.php): failed to open stream: pha r error: invalid url or non-existent phar "phar://go-pear.phar/index.php" in K:\ xampp\php\PEAR\go-pear.phar on line 1236 Press any key to continue

Line 1236 on in the go-pear.phar is this:

require_once 'phar://go-pear.phar/index.php'; __HALT_COMPILER();<

And after the last < there is a weird character sign. And if i take away that charachter I can't it doesn't help. She the image below for the character.

enter image description here

Any help is very much appreciated.

1

Just a quick update from IRC: The current work-around is that he doesn't need to run go-pear.bat because PEAR is actually included in Xampp.

However, it's recommended to update the included install regardless:

C:\XAMPP\PHP>pear upgrade PEAR

Updated, 2011-03-16: We also fixed the download link (for the .phar) so e.g. Internet Explorer opens a "Save As..." dialog instead of displaying the file contents. So this should take care of the file corrupting on some systems.

2
  • Hello Till, I did an upgrade. But this did not solve my problem.
    – sanders
    Mar 11 '11 at 7:04
  • Hey, can you add what the error is now? Because you have pear installed. ;-)
    – Till
    Mar 11 '11 at 8:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.